Subject: bug#64046: 30.0.50; Quoting in customize choice tags

From: Drew Adams <[email-masked]>
Date: Thu, 31 Aug 2023 22:10:47 +0000

> > > 1. Use `substitute-quotes' for the TITLE argument.  We're using that
> > > for display purposes here, so why not make it look a bit nicer and
> > > more consistent.
> >
> > Because it's _not_ nicer.  Just leave it alone,
> > please.
> 
> Do you have an example of where it's not?  I can't think of one, so
> you'll have to help me here.

Don't need one.  The TITLE can be _any_ text.
Who knows how ` and ' might be used?  You don't,
any more than I do.  Or if you do, please let us
know your assumptions about this: what gives you
the idea that they should always be translated
to curly quotes?

I think you don't know, as I don't know, what
someone might put in TITLE.  I think that we
should leave it up to users to control what goes
there.  Users can easily translate or replace
any ` and ' chars with curly quotes, if desired.

Why _impose_ such translation or make users
apply escape sequences to prevent it?

> > Anyone can massage a TITLE string ahead of time,
> > if they need to.
> 
> But the idea here is exactly the opposite: 

Exactly: the idea is to change the text users
give you into something else, automatically
and always.  IMO, that's an unhelpful idea.

> that they shouldn't have to.  So I don't
> think I understand your point.

See above.  They shouldn't have to escape the
chars to _prevent_ your blanket, automatic
massaging.

Why not just take users' text as it is - take
their word for it - instead of second-guessing
them?  Don't you think they can decide what's
best for themselves?  Don't you think that if
they really want a curly quote they can use one?

> BTW, if you don't like curved quotes you can always:
>    (setq text-quoting-style 'grave)

It's not about what I like.  And it's not
about giving users only a blanket override.

It's about simply letting users provide the
TITLE text they want - just leave it alone.

If someone wants a curly quote they can get
it directly, on their own.  But if they want
an apostrophe or backquote ... they have to
jump through an escape hoop?  How is that
user-friendly?  It's _their_ code.

"why not make it look a bit nicer" means you
think you know better than users what looks
nicer.  And even if you're right in some case,
who says that this or that user wants their
TITLE to "look nicer"?

In effect, except through the compensation of
escaping, it's as if you've removed the chars
` and ' from the set of usable chars.  Why do
that?